Subject: [quicwg/base-drafts] fc31b7: A tiny nit: the ClientHello is not subject to MAX_...

From: Martin Thomson <[email-masked]>
Date: Thu, 12 Oct 2017 20:05:38 -0700

Branch: refs/heads/pn-randomize
  Home:   https://github.com/quicwg/base-drafts
  Commit: fc31b7ea51df8a94de6a9b019a6b9ce7f86f3faa
      https://github.com/quicwg/base-drafts/commit/fc31b7ea51df8a94de6a9b019a6b9ce7f86f3faa
  Author: EKR <[email-masked]>
  Date:   2017-09-28 (Thu, 28 Sep 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  A tiny nit: the ClientHello is not subject to MAX_STREAM_DATA.

  Commit: 617dc338b317d217441aeac48756bd4a1bc11925
      https://github.com/quicwg/base-drafts/commit/617dc338b317d217441aeac48756bd4a1bc11925
  Author: EKR <[email-masked]>
  Date:   2017-09-28 (Thu, 28 Sep 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Nits from Jana

  Commit: aa0a4d71c6d99e6adeb278407c4c211b88c83c29
      https://github.com/quicwg/base-drafts/commit/aa0a4d71c6d99e6adeb278407c4c211b88c83c29
  Author: Jana Iyengar <[email-masked]>
  Date:   2017-09-28 (Thu, 28 Sep 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Don't retransmit old MAX_STREAM_DATA and MAX_DATA

  Commit: d704d00613a2ff9de3d0f96288c5cececca6027e
      https://github.com/quicwg/base-drafts/commit/d704d00613a2ff9de3d0f96288c5cececca6027e
  Author: Jana Iyengar <[email-masked]>
  Date:   2017-09-28 (Thu, 28 Sep 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  reflow

  Commit: 8cf389da6e5ccc118abcfb8d714ee101c752fdb0
      https://github.com/quicwg/base-drafts/commit/8cf389da6e5ccc118abcfb8d714ee101c752fdb0
  Author: EKR <[email-masked]>
  Date:   2017-09-29 (Fri, 29 Sep 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Jana's comments plus bonus editorial fix

  Commit: d93dd90fc1d8e9fffaac54b99fcd406fec141bd6
      https://github.com/quicwg/base-drafts/commit/d93dd90fc1d8e9fffaac54b99fcd406fec141bd6
  Author: ianswett <[email-masked]>
  Date:   2017-10-02 (Mon, 02 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Must not ack acks

  Commit: 9aa2a109a901ada3adc86ff72543edb2b8631c70
      https://github.com/quicwg/base-drafts/commit/9aa2a109a901ada3adc86ff72543edb2b8631c70
  Author: ianswett <[email-masked]>
  Date:   2017-10-02 (Mon, 02 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 9105969d8ee23d51129a43f4879e1a01fd98efb4
      https://github.com/quicwg/base-drafts/commit/9105969d8ee23d51129a43f4879e1a01fd98efb4
  Author: ianswett <[email-masked]>
  Date:   2017-10-02 (Mon, 02 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 7edf4e0e0735a9e1ffb2645f1a1e4e91e819aee5
      https://github.com/quicwg/base-drafts/commit/7edf4e0e0735a9e1ffb2645f1a1e4e91e819aee5
  Author: EKR <[email-masked]>
  Date:   2017-10-02 (Mon, 02 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Simplify stateless retry. There's no reason for it to contain ACKs
or padding.

  Commit: 03db4e3ffc8aee5cba8bd78535db7e291fd7a5d2
      https://github.com/quicwg/base-drafts/commit/03db4e3ffc8aee5cba8bd78535db7e291fd7a5d2
  Author: EKR <[email-masked]>
  Date:   2017-10-02 (Mon, 02 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Revise text a bit

  Commit: fcb91e33ada1c14743fb268decb2c4691fafe8a3
      https://github.com/quicwg/base-drafts/commit/fcb91e33ada1c14743fb268decb2c4691fafe8a3
  Author: EKR <[email-masked]>
  Date:   2017-10-02 (Mon, 02 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Grrr... Line length

  Commit: ca81183b9c1c7042c36b0e282f57cad6831b0e3c
      https://github.com/quicwg/base-drafts/commit/ca81183b9c1c7042c36b0e282f57cad6831b0e3c
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-03 (Tue, 03 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Capitalize ACK

  Commit: 6a1bdd641ef563af94f1b67c9affc56d1262e1ce
      https://github.com/quicwg/base-drafts/commit/6a1bdd641ef563af94f1b67c9affc56d1262e1ce
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-03 (Tue, 03 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #815 from quicwg/ianswett-must-not-ack-acks

Must not ack acks

  Commit: 378fa42424be49a5c162a5d78d6ced3f9a79c1be
      https://github.com/quicwg/base-drafts/commit/378fa42424be49a5c162a5d78d6ced3f9a79c1be
  Author: EKR <[email-masked]>
  Date:   2017-10-03 (Tue, 03 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Clarify the first flight, explicitly excluding NST

  Commit: b99576656731b247df676120978b2f1d67b9afaa
      https://github.com/quicwg/base-drafts/commit/b99576656731b247df676120978b2f1d67b9afaa
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-03 (Tue, 03 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #828 from ekr/first_flight

Clarify the first flight, explicitly excluding NST

  Commit: 11539390136fa36270807b5335a1be714d746787
      https://github.com/quicwg/base-drafts/commit/11539390136fa36270807b5335a1be714d746787
  Author: Mark Nottingham <[email-masked]>
  Date:   2017-10-05 (Thu, 05 Oct 2017)

  Changed paths:
    M CONTRIBUTING.md

  Log Message:
  -----------
  Update CONTRIBUTING.md

  Commit: f0034b4fa1a63b657054a8fbadeea85b6bf38cea
      https://github.com/quicwg/base-drafts/commit/f0034b4fa1a63b657054a8fbadeea85b6bf38cea
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-05 (Thu, 05 Oct 2017)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Split error code space (#722)

* Split error code space

This creates two orthogonal spaces for error codes.  Application error codes
can be used for both connection and stream errors and are under the control of
the application protocol.  Transport error codes are QUIC-controlled, but can
only terminate the connection.

To fix this, I had to add IANA considerations for error codes, plus a few extra
tweaks.  I think that the error code space could be narrowed to 16 bits after
this, if only to keep things sane.

Closes #132.

* s/Public Reset/Stateless Reset/

* Get codes consistent

* Make STOP_SENDING application-specific as well

* Split errors in HTTP too

* Refine description of HTTP codes

* Move TLS errors closer

* Match the names

* Add HTTP_NO_ERROR

* Review comments

* Jana's comments

* Small tweak at Mike's suggestion

* Reword STOP_SENDING text to avoid implication of mandatory RST_STREAM

* Better track changes on master

* Reword advice on application error codes

* Steal a code from the application

* Simply reserve the RST_STREAM code of 0.

* Application error code missed

* We really should just call this STOPPING

  Commit: 5cc00feb3ff006e79677cd3632149b29a6c2daf7
      https://github.com/quicwg/base-drafts/commit/5cc00feb3ff006e79677cd3632149b29a6c2daf7
  Author: ianswett <[email-masked]>
  Date:   2017-10-05 (Thu, 05 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove Timestamps

  Commit: 94d820a9b5a7e9798ed90689881b373be06a6508
      https://github.com/quicwg/base-drafts/commit/94d820a9b5a7e9798ed90689881b373be06a6508
  Author: ianswett <[email-masked]>
  Date:   2017-10-05 (Thu, 05 Oct 2017)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove timestamps from Recovery

  Commit: 51a27f8f3614d3c42d3706f6e6994e4eeabd0ed0
      https://github.com/quicwg/base-drafts/commit/51a27f8f3614d3c42d3706f6e6994e4eeabd0ed0
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-09 (Mon, 09 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #841 from quicwg/ianswett-remove-timestamps

Remove Timestamps

  Commit: a0c571b42e22bdbf2f8e49f9fec03c2be6816ab5
      https://github.com/quicwg/base-drafts/commit/a0c571b42e22bdbf2f8e49f9fec03c2be6816ab5
  Author: EKR <[email-masked]>
  Date:   2017-10-09 (Mon, 09 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  AEAD all packets. Fixed #693, Fixes #840.

This makes the change we discussed in Seattle where all Cleartext
packets are encrypted with AES-GCM using a key derived from the
client connection ID and a random per-version value.

Note: I generated this value using randomness.org.

  Commit: cf605489cedb96ccc796ba5735d132e81b5e56c4
      https://github.com/quicwg/base-drafts/commit/cf605489cedb96ccc796ba5735d132e81b5e56c4
  Author: EKR <[email-masked]>
  Date:   2017-10-09 (Mon, 09 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Update salt. This salt isn't random but rather is the git hash of
the revision corresponding to the -06 drafts. It's still essentially
arbitrary but now it's predictable arbitrary.

  Commit: 796649842c33cff4d4c1621cdfe45027a07b1751
      https://github.com/quicwg/base-drafts/commit/796649842c33cff4d4c1621cdfe45027a07b1751
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-10 (Tue, 10 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #844 from ekr/aead_all_the_things

AEAD all packets. Fixed #693, Fixes #840.

  Commit: 66ab0da60e2f91a8ac2c141c4ca9e9834a9bf1ad
      https://github.com/quicwg/base-drafts/commit/66ab0da60e2f91a8ac2c141c4ca9e9834a9bf1ad
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-10 (Tue, 10 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Followup for cleartext AEAD change

The change in #844 didn't mention the hash function used with HKDF.  It is
pretty obviously SHA-256, but we need to write that down.

Also a few editorial changes.

  Commit: 774270c1cf4b94d57ecf7cf1814b29508bef2353
      https://github.com/quicwg/base-drafts/commit/774270c1cf4b94d57ecf7cf1814b29508bef2353
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-10 (Tue, 10 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #845 from quicwg/fixup-aead

Followup for cleartext AEAD change

  Commit: 372c1e6c942ec496474677a1e141d4c2afcd8702
      https://github.com/quicwg/base-drafts/commit/372c1e6c942ec496474677a1e141d4c2afcd8702
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  capitalize STREAM

  Commit: ac65e655a3189501728d17978ca6e99405730a6f
      https://github.com/quicwg/base-drafts/commit/ac65e655a3189501728d17978ca6e99405730a6f
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #817 from ekr/simplify_stateless_retry

Simplify stateless retry

  Commit: 7aca15726ef848fbc7705347d664e6cbde41b5b3
      https://github.com/quicwg/base-drafts/commit/7aca15726ef848fbc7705347d664e6cbde41b5b3
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-10 (Tue, 10 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Version Negotiation packet format is version-invariant (#819)

Otherwise, version negotiation doesn't work.

  Commit: 871ec714d8e162e21e023181fa9b73c4eaef79c6
      https://github.com/quicwg/base-drafts/commit/871ec714d8e162e21e023181fa9b73c4eaef79c6
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fixup for #817

  Commit: d7b3a3980dacea8a4753529801c3f211cb1711ad
      https://github.com/quicwg/base-drafts/commit/d7b3a3980dacea8a4753529801c3f211cb1711ad
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #807 from quicwg/old-max-data

Don't retransmit old MAX_STREAM_DATA and MAX_DATA

  Commit: 552b6bc82363895d9bda73fd7598381ee4667609
      https://github.com/quicwg/base-drafts/commit/552b6bc82363895d9bda73fd7598381ee4667609
  Author: Patrick McManus <[email-masked]>
  Date:   2017-10-10 (Tue, 10 Oct 2017)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  HTTP Integration Error Nits
  * error codes can be used with stop_sending

  Commit: 4d997948698029427bf5f67f4fe83206db612bbf
      https://github.com/quicwg/base-drafts/commit/4d997948698029427bf5f67f4fe83206db612bbf
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reflow

  Commit: cbe9dbd043d0dc94eed1a12d89f54a538cc5092c
      https://github.com/quicwg/base-drafts/commit/cbe9dbd043d0dc94eed1a12d89f54a538cc5092c
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    A .circleci/config.yml
    M CONTRIBUTING.md
    M Makefile
    R circle.yml
    M draft-ietf-quic-http.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into stream_0_flow_control_nit

  Commit: 0ab0907410d5cb1ee401cdba6628d10efe81e6e8
      https://github.com/quicwg/base-drafts/commit/0ab0907410d5cb1ee401cdba6628d10efe81e6e8
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove application close

As agreed, this moves the graceful shutdown under the banner of an immediate
close.  That is, the application protocol negotiates a shutdown.  Once the
agreed state has been reached, endpoints send APPLICATION_CLOSE and we are
done.

Closes #854.

  Commit: fd567148415328812df3153a60cfc965cadceefb
      https://github.com/quicwg/base-drafts/commit/fd567148415328812df3153a60cfc965cadceefb
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #803 from ekr/stream_0_flow_control_nit

A tiny nit: the ClientHello is not subject to MAX_STREAM_DATA.

  Commit: 8cf88aad4f84cbaac14cb272ea8a0f8f878ea435
      https://github.com/quicwg/base-drafts/commit/8cf88aad4f84cbaac14cb272ea8a0f8f878ea435
  Author: janaiyengar <[email-masked]>
  Date:   2017-10-11 (Wed, 11 Oct 2017)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Adds substantive descriptions of loss detection mechanisms (#801)

* Added text to overview

* TLP text added

* More changes

* finished RTO and HTO text

* Ian's comments

* lucas comment

* trailing whitespaces

  Commit: 0fa5b517adfd7023b525ff97a9cdd2630af22d8c
      https://github.com/quicwg/base-drafts/commit/0fa5b517adfd7023b525ff97a9cdd2630af22d8c
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Use RFC 8126 for IANA considerations

  Commit: 4912c2086954b57f5f494dfe4ccbfb42774a0e2b
      https://github.com/quicwg/base-drafts/commit/4912c2086954b57f5f494dfe4ccbfb42774a0e2b
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update PMTUD references

RFC 1981 was obsoleted by RFC 8201.

  Commit: 101a4cadafc994ba17aefe24445cba3c2ad81a19
      https://github.com/quicwg/base-drafts/commit/101a4cadafc994ba17aefe24445cba3c2ad81a19
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Uppercase SHOULD not

  Commit: 2ecc0ff6110c063c2be461e4c2eb41dcf87895a1
      https://github.com/quicwg/base-drafts/commit/2ecc0ff6110c063c2be461e4c2eb41dcf87895a1
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M Makefile
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Shorten line (#861)

* Fix linting rule for figures

* Shorten line by a few characters

  Commit: 105193d281e2f74e8b078c4e0938678684c2962f
      https://github.com/quicwg/base-drafts/commit/105193d281e2f74e8b078c4e0938678684c2962f
  Author: Jana Iyengar <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  STOPPING is sent by transport not application

  Commit: 82eefdef4a7da22bb20bedab5a672e2f2fe86320
      https://github.com/quicwg/base-drafts/commit/82eefdef4a7da22bb20bedab5a672e2f2fe86320
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Move stateless reset token to the end (#842)

* Move stateless reset token to the end

This makes the location of the token fixed with respect to the end of
packets, which makes it easier to find.  It also expands the conditions
for checking the token, which now include cases where packets appear
to be duplicated.

Closes #820.

* Define the packet type more precisely

* Define what termination means for stateless reset

* Larger packet number encodings make identification easier

* Clients can dump state on stateless reset

* Corrections suggested by @ianswett

  Commit: 9182b4034eabbc4a2e7de3e0f43f197bc4e61ec4
      https://github.com/quicwg/base-drafts/commit/9182b4034eabbc4a2e7de3e0f43f197bc4e61ec4
  Author: EKR <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  SHA-1 is 20 bytes. Fixes #865

  Commit: fbc18c86c85bc8d77e873e9caecfa98252a460c9
      https://github.com/quicwg/base-drafts/commit/fbc18c86c85bc8d77e873e9caecfa98252a460c9
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  The fixed salt is 20 octets

  Commit: 2fc0029c137f4522aa1085f3b215b99eabb399e5
      https://github.com/quicwg/base-drafts/commit/2fc0029c137f4522aa1085f3b215b99eabb399e5
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Log Message:
  -----------
  Merge pull request #866 from ekr/sha1_is_20_bytes

SHA-1 is 20 bytes. Fixes #865

  Commit: 7af651dd903d94bebfe5c7bf52124ec9f6aa954f
      https://github.com/quicwg/base-drafts/commit/7af651dd903d94bebfe5c7bf52124ec9f6aa954f
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #863 from quicwg/stopping

STOPPING is sent by transport not application

  Commit: 0bf810aef744e0f5067fad7c3020dcd0d6a1ea24
      https://github.com/quicwg/base-drafts/commit/0bf810aef744e0f5067fad7c3020dcd0d6a1ea24
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Make error codes smaller (#851)

* Make error codes smaller

* Correct diagram and hyphens

  Commit: 2e4d9bcc51951d719d6e99f3c346b1dae388f52e
      https://github.com/quicwg/base-drafts/commit/2e4d9bcc51951d719d6e99f3c346b1dae388f52e
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  The application protocol negotiates

  Commit: 11d77c0e3339401553a258fa57592fb2bd31bd11
      https://github.com/quicwg/base-drafts/commit/11d77c0e3339401553a258fa57592fb2bd31bd11
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #855 from quicwg/remove-app-close

Remove application close

  Commit: 359b528a00a03c8cb5a3c3726cbe2488e7ba5dbb
      https://github.com/quicwg/base-drafts/commit/359b528a00a03c8cb5a3c3726cbe2488e7ba5dbb
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #860 from quicwg/pmtu-8201

Update PMTUD references

  Commit: 8b05969bc612560b7a81f34b0331e1a4998999ce
      https://github.com/quicwg/base-drafts/commit/8b05969bc612560b7a81f34b0331e1a4998999ce
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'iana-8126'

  Commit: 4fa1fcf62e0ed22150edaa6fabade891b492640f
      https://github.com/quicwg/base-drafts/commit/4fa1fcf62e0ed22150edaa6fabade891b492640f
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Define requirements for handling packets (#724)

* Define requirements for handling packets

We never really said how to handle incoming packets.  This adds a section on
that.  This was originally motivated by #570, where the rules for what to
generate a Version Negotiation packet for were a little unclear.

Now though, this is a far more comprehensive description of what to do with
a packet that is received.

For #570, I've chosen to limit packet size.  If the packet is too small, then
this requires the server to drop the packet.  In response to the potential for
a future version of QUIC to define a smaller initial packet (@mikkelfj raised
this point), I've included advice on what might be done to avoid having packets
discarded.

I realize that we don't have a patch that sets the packet size to 1200.  I'm
going to write that one now.  This depends on that.

* Review comments

* Capitalize Client Initial

* Expand more on the need for bufferring

* Allow a stateless reset in addition to discard

* Allow consumption of VN in response to 0-RTT

* Add forward ref to packetization section

* Jana's comments

* Downgrade discard requirement to MAY prior to handshake

Though I don't know why I need to care about the reason.

* Remove text

  Commit: 6bc3a96d216e4e599df0b2089b7ef3c4040c86c3
      https://github.com/quicwg/base-drafts/commit/6bc3a96d216e4e599df0b2089b7ef3c4040c86c3
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove ACKs from draining period (#853)

* Remove ACKs from draining period

As agreed at the interim, this removes the ability to acknowledge during the
draining period.  An endpoint can use the APPLICATION_CLOSE/CONNECTION_CLOSE
frame to exit this state early (it's a kind of ACK).

Closes #852.

* s/can/MAY terminate draining period early

* Remove paragraph about terminating draining period early

  Commit: 9f06ddc030125b5d9952c88ae4d63932e4146448
      https://github.com/quicwg/base-drafts/commit/9f06ddc030125b5d9952c88ae4d63932e4146448
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Enter draining after receiving a stateless reset (#868)

If a client receives a stateless reset, it makes sense for it to stick around
in the draining period so that you can absorb any further stateless reset
packets that might have been sent by the server.  The server might have
received multiple packets, so it might also generate multiple resets.

  Commit: ff18a21c2b81d73ac868d3772b48ef8f99f37e64
      https://github.com/quicwg/base-drafts/commit/ff18a21c2b81d73ac868d3772b48ef8f99f37e64
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M CONTRIBUTING.md
    M Makefile
    M draft-ietf-quic-http.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into pn-randomize

Compare: https://github.com/quicwg/base-drafts/compare/cd25f2ad734e...ff18a21c2b81